Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class DataShadow.ShadowNode

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node
              org.openide.nodes.FilterNode
                  org.openide.loaders.DataShadow.ShadowNode

All Implemented Interfaces:
  HelpCtx.Provider, Lookup.Provider

Enclosing class:
  DataShadow

    protected static class DataShadow.ShadowNode

extends FilterNode

Node for a shadow object.

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.nodes.FilterNode
`FilterNode.Children, FilterNode.NodeAdapter, FilterNode.PropertyChangeAdapter`

Nested classes/interfaces inherited from class org.openide.nodes.Node
`Node.Cookie, Node.Handle, Node.IndexedProperty, Node.Property, Node.PropertySet`

Field Summary

Fields inherited from class org.openide.nodes.FilterNode
`DELEGATE_DESTROY, DELEGATE_GET_ACTIONS, DELEGATE_GET_CONTEXT_ACTIONS, DELEGATE_GET_DISPLAY_NAME, DELEGATE_GET_NAME, DELEGATE_GET_SHORT_DESCRIPTION, DELEGATE_GET_VALUE, DELEGATE_SET_DISPLAY_NAME, DELEGATE_SET_NAME, DELEGATE_SET_SHORT_DESCRIPTION, DELEGATE_SET_VALUE`

Fields inherited from class org.openide.nodes.Node
`EMPTY, PROP_COOKIE, PROP_DISPLAY_NAME, PROP_ICON, PROP_LEAF, PROP_NAME, PROP_OPENED_ICON, PROP_PARENT_NODE, PROP_PROPERTY_SETS, PROP_SHORT_DESCRIPTION`

Constructor Summary
`DataShadow.ShadowNode(DataShadow shadow)` Create a shadowing node.

Method Summary
`boolean` | `canCopy()`
`boolean` | `canCut()`
`boolean` | `canDestroy()`
`boolean` | `canRename()`
`Transferable` | `clipboardCopy()` Copy this node to the clipboard.
`Transferable` | `clipboardCut()` Cut this node to the clipboard.
`Node` | `cloneNode()`
`protected NodeListener` | `createNodeListener()` Creates a node listener that allows listening on the original node and propagating events to the proxy.
`void` | `destroy()`
`Transferable` | `drag()` This implementation only calls clipboardCopy supposing that copy to clipboard and copy by d'n'd are similar.
`boolean` | `equals(Object o)` Equal if the o is ShadowNode to the same shadow object.
`Node.Cookie` | `getCookie(Class cl)`
`String` | `getDisplayName()`
`String` | `getHtmlDisplayName()`
`Image` | `getIcon(int type)`
`String` | `getName()` The name of the shadow.
`Image` | `getOpenedIcon(int type)`
`Node.PropertySet[]` | `getPropertySets()` Returns modified properties of the original node.
`String` | `getShortDescription()`
`int` | `hashCode()` Hashcode is computed by the represented shadow.
`void` | `setName(String name)`

Methods inherited from class org.openide.nodes.FilterNode
`changeOriginal, createPropertyChangeListener, disableDelegation, enableDelegation, finalize, getActions, getActions, getContextActions, getCustomizer, getDefaultAction, getDropType, getHandle, getHelpCtx, getNewTypes, getOriginal, getPasteTypes, getPreferredAction, getValue, hasCustomizer, setDisplayName, setShortDescription, setValue`

Methods inherited from class org.openide.nodes.Node
`addNodeListener, addPropertyChangeListener, clone, fireCookieChange, fireDisplayNameChange, fireIconChange, fireNameChange, fireNodeDestroyed, fireOpenedIconChange, firePropertyChange, firePropertySetsChange, fireShortDescriptionChange, getChildren, getContextMenu, getLookup, getParentNode, hasPropertyChangeListener, isLeaf, removeNodeListener, removePropertyChangeListener, setChildren, toString`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, isExpert, isHidden, isPreferred, setExpert, setHidden, setPreferred`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataShadow.ShadowNode

    public DataShadow.ShadowNode(DataShadow shadow)

  Create a shadowing node.

  Parameters:
    `shadow` - the shadow

Method Detail

### cloneNode

    public Node cloneNode()

  Overrides:
    `cloneNode` in class `FilterNode`

### setName

    public void setName(String name)

  Overrides:
    `setName` in class `FilterNode`

### getName

    public String getName()

  The name of the shadow.

  Overrides:
    `getName` in class `FilterNode`
  Returns:
    the name

### getDisplayName

    public String getDisplayName()

  Overrides:
    `getDisplayName` in class `FilterNode`

### getHtmlDisplayName

    public String getHtmlDisplayName()

  Overrides:
    `getHtmlDisplayName` in class `FilterNode`

### getShortDescription

    public String getShortDescription()

  Overrides:
    `getShortDescription` in class `FilterNode`

### getIcon

    public Image getIcon(int type)

  Overrides:
    `getIcon` in class `FilterNode`

### getOpenedIcon

    public Image getOpenedIcon(int type)

  Overrides:
    `getOpenedIcon` in class `FilterNode`

### canDestroy

    public boolean canDestroy()

  Overrides:
    `canDestroy` in class `FilterNode`

### destroy

    public void destroy()
                 throws IOException

  Overrides:
    `destroy` in class `FilterNode`
  Throws:
    `IOException`

### canRename

    public final boolean canRename()

  Overrides:
    `canRename` in class `FilterNode`
  Returns:
    true if shadow can be renamed

### canCopy

    public final boolean canCopy()

  Overrides:
    `canCopy` in class `FilterNode`

### canCut

    public final boolean canCut()

  Overrides:
    `canCut` in class `FilterNode`

### getCookie

    public Node.Cookie getCookie(Class cl)

  Overrides:
    `getCookie` in class `FilterNode`

### getPropertySets

    public Node.PropertySet[] getPropertySets()

  Returns modified properties of the original node.

  Overrides:
    `getPropertySets` in class `FilterNode`
  Returns:
    property sets

### clipboardCopy

    public Transferable clipboardCopy()
                               throws IOException

  Copy this node to the clipboard.

  Overrides:
    `clipboardCopy` in class `FilterNode`
  Returns:
    `ExTransferable.Single` with one copy flavor
  Throws:
    `IOException` - if it could not copy
  See Also:
    `NodeTransfer`

### clipboardCut

    public Transferable clipboardCut()
                              throws IOException

  Cut this node to the clipboard.

  Overrides:
    `clipboardCut` in class `FilterNode`
  Returns:
    `ExTransferable.Single` with one cut flavor
  Throws:
    `IOException` - if it could not cut
  See Also:
    `NodeTransfer`

### drag

    public Transferable drag()
                      throws IOException

  This implementation only calls clipboardCopy supposing that copy to clipboard and copy by d'n'd are similar.

  Overrides:
    `drag` in class `FilterNode`
  Returns:
    transferable to represent this node during a drag
  Throws:
    `IOException` - when the cut cannot be performed

### createNodeListener

    protected NodeListener createNodeListener()

  Creates a node listener that allows listening on the original node and propagating events to the proxy.

  Intended for overriding by subclasses, as with `FilterNode.createPropertyChangeListener()`.

  Overrides:
    `createNodeListener` in class `FilterNode`
  Returns:
    a `FilterNode.NodeAdapter` in the default implementation

### equals

    public boolean equals(Object o)

  Equal if the o is ShadowNode to the same shadow object.

  Overrides:
    `equals` in class `FilterNode`

### hashCode

    public int hashCode()

  Hashcode is computed by the represented shadow.

  Overrides:
    `hashCode` in class `FilterNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.